View Issue Details

IDProjectCategoryView StatusLast Update
0013728ScribusUndo/Redopublic2020-08-26 23:59
Reporterale Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.5.1 
Target VersionFixed in Version1.5.6.svn 
Summary0013728: Issue when undoing numbered lists
Descriptiontwo failures in one ticket:

- create a text frame
- write a line of text
- apply "numbered items"
- undo until the text frame disappears
- redo until the numbering is again there
- in the best case you'll get a question mark instead of the number



- create a text frame
- write a line of text
- apply "bullet list"
- apply "numbered list"
- undo until the text frame disappears
- redo until the numbering reappears
- you only get to the bullet list
Tagslists
PatchNo

Relationships

related to 0013729 closed Numerated Lists: injecting list item between 2 current existing ones doesn't update correctly 
related to 0013730 new Numerated Lists: no whitespace between list item number and text of that list item 
related to 0013487 closedjghali Removing lines in numbered lists doesn't reorder numbers 
related to 0013969 confirmed Crash when undoing numbered lists 
child of 0012500 acknowledged Metabug: Undo/Redo (1.5.x.svn) 

Activities

jghali

2020-08-17 11:38

administrator   ~0047957

The two cases here appears to be fixed in 1.5.6.svn. I applied a small additional fix in r23982 in order to remove some spurious undo actions created while applying "bullet list" or "numbered items".

Issue History

Date Modified Username Field Change
2016-02-12 17:26 ale New Issue
2016-02-12 17:27 Kunda Category - => Undo/Redo
2016-02-12 17:28 Kunda Relationship added child of 0012500
2016-02-15 12:54 Kunda Relationship added related to 0013729
2016-02-15 12:54 Kunda Relationship added related to 0013730
2016-04-04 16:57 Kunda Tag Attached: lists
2016-04-20 16:17 Kunda Relationship added related to 0013487
2016-04-20 17:07 Kunda Issue cloned: 0013969
2016-04-20 17:07 Kunda Relationship added related to 0013969
2020-08-17 11:38 jghali Assigned To => jghali
2020-08-17 11:38 jghali Status new => resolved
2020-08-17 11:38 jghali Resolution open => fixed
2020-08-17 11:38 jghali Fixed in Version => 1.5.6.svn
2020-08-17 11:38 jghali Note Added: 0047957
2020-08-26 23:59 jghali Summary issue when undoing numbered lists => Issue when undoing numbered lists